package ch.hslu.edu.enapp.webshop.boundary;

import ch.hslu.edu.enapp.webshop.common.dto.PurchaseDTO;
import ch.hslu.edu.enapp.webshop.entity.Purchase;

public class PurchaseConverter {
	public static PurchaseDTO createDTOFromEntity(final Purchase purchase) {
		final PurchaseDTO purchaseDTO = new PurchaseDTO();
		purchaseDTO.setId(purchase.getId());
		purchaseDTO.setCustomerid(purchase.getCustomerid());
		purchaseDTO.setDatetime(purchase.getDatetime());
		purchaseDTO.setStatus(purchase.getStatus());
		purchaseDTO.setTotalPrice(purchase.getTotalPrice());
		purchaseDTO.setPayid(purchase.getPayid());
		purchaseDTO.setNcstatus(purchase.getNcstatus());
		purchaseDTO.setNcerror(purchase.getNcerror());
		purchaseDTO.setNcerrorplus(purchase.getNcerrorplus());
		purchaseDTO.setNAVOrderId(purchase.getNAVOrderId());
		purchaseDTO.setCorrelationId(purchase.getCorrelationId());

		return purchaseDTO;
	}
}
