package ch.hslu.edu.enapp.webshop.entity;

import java.io.Serializable;
import javax.persistence.*;


/**
 * The persistent class for the userGroup database table.
 * 
 */
@Entity
@Table(name="userGroup")
@NamedQueries({ 
	@NamedQuery(name = "getUserGroupById_idgroup", query = "SELECT u FROM UserGroup u WHERE u.id.idgroup = :id_idgroup"), 
	@NamedQuery(name = "getUserGroupById_iduser", query = "SELECT u FROM UserGroup u WHERE u.id.iduser = :id_iduser"),
	@NamedQuery(name = "getUserGroup", query = "SELECT u FROM UserGroup u") 
})
public class UserGroup implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private UserGroupPK id;

	public UserGroup() {
	}

	public UserGroupPK getId() {
		return this.id;
	}

	public void setId(UserGroupPK id) {
		this.id = id;
	}

}