package ch.hslu.edu.enapp.webshop.common.dto;

import java.io.Serializable;

/**
 * The persistent class for the customer database table.
 * 
 */
public class CustomerDTO implements Serializable {
	private static final long serialVersionUID = 1L;

	private int id;

	private String address;

	private String email;

	private String name;

	private String NAVCustomer;

	private String password;

	private String username;

	public CustomerDTO() {
	}

	public int getId() {
		return this.id;
	}

	public void setId(final int id) {
		this.id = id;
	}

	public String getAddress() {
		return this.address;
	}

	public void setAddress(final String address) {
		this.address = address;
	}

	public String getEmail() {
		return this.email;
	}

	public void setEmail(final String email) {
		this.email = email;
	}

	public String getName() {
		return this.name;
	}

	public void setName(final String name) {
		this.name = name;
	}

	public String getNAVCustomer() {
		return this.NAVCustomer;
	}

	public void setNAVCustomer(final String NAVCustomer) {
		this.NAVCustomer = NAVCustomer;
	}

	public String getPassword() {
		return this.password;
	}

	public void setPassword(final String password) {
		this.password = password;
	}

	public String getUsername() {
		return this.username;
	}

	public void setUsername(final String username) {
		this.username = username;
	}

}